REPO-ADD(8)

BEZEICHNUNG
repo-add - Dienstprogramm zur Verwaltung der Paketdatenbank

ÜBERSICHT

repo-add [Optionen] <Pfad-zur-Datenbank> <Paket> [<Paket> …]

repo-remove [Optionen] <Pfad-zur-Datenbank> <Paketname> [<Paketname> …]

BESCHREIBUNG

repo-add und repo-remove sind zwei Skripte, die Ihnen bei der Erstellung einer Paketdatenbank für Pakete helfen, die mit makepkg(8) gebautt und mit pacman(8) installiert wurden.

repo-add aktualisiert eine Paketdatenbank durch Einlesen eines gebauten Pakets oder einer Paket-Differenzdatei. Mehrere hinzuzufügende Pakete können in der Befehlszeile angegeben werden.

Wenn eine zu einer Paketdatei passende ».sig«-Datei gefunden wurde, wird die Signatur automatisch in die Datenbank eingefügt.

repo-remove aktualisiert eine Paketdatenbank durch Entfernen des Namens eines Pakets oder einer Paket-Differenzdatei, die in der Befehlszeile angegeben wird. Mehrere Pakete können in der Befehlszeile angegeben werden.

Eine Paketdatenbank ist eine *.tar-Datei, die optional komprimiert sein kann. Zulässige Endungen sind ».db«, gefolgt von einer der Archiv-Erweiterungen ».tar«, ».tar.gz«, ».tar.bz2«, ».tar.xz« oder ».tar.Z«. Die Datei muss nicht existieren, aber sämtliche übergeordneten Verzeichnisse müssen vorhanden sein.

GEMEINSAME OPTIONEN

-q, --quiet
    unterdrückt alle Programmausgaben außer Warnungen und Fehlermeldungen.

-s, --sign
    erzeugt eine PGP-Signaturdatei mittels GnuPG. Dazu wird der Befehl gpg --detach-sign --use-agent durch den GPG-Agenten (falls verfügbar) auf die Datenbank angewendet, um die abgetrennte Signaturdatei zu erstellen. Die Signaturdatei wird nach dem vollständigen Namen der Datenbank benannt und die Endung ».sig« angehängt.

-k, --key <Schlüssel>
    gibt einen zum Signieren von Paketen zu verwendenden Schlüssel an. Dieser kann auch über die Umgebungsvariable »GPGKEY« angegeben werden. Wenn der Schlüssel an keinem der genannten Orte verfügbar ist, wird der Standardschlüssel aus dem Schlüsselbund verwendet.

-v, --verify
    überprüft die PGP-Signatur der Datenbank, bevor die Datenbankaktualisierung erfolgt. Falls die Signatur ungültig ist, wird eine Fehlermeldung ausgegeben und die Datenbank nicht aktualisiert.

--nocolor
    unterdrückt die Einfärbung der Ausgaben von repo-add und repo-remove.

OPTIONEN FÜR REPO-ADD

-n, --new
    fügt nur Pakete hinzu, die sich nicht bereits in der Datenbank befinden. Die Erkennung vorhandener Pakete löst Fehlermeldungen aus, aber die Pakete werden nicht erneut zur Datenbank hinzugefügt.

-R, --remove
    entfernt alte Paketdateien vom Datenträger, wenn deren Einträge in der Datenbank aktualisiert wurden.

BEISPIEL

repo-add foo.db.tar.xz <Paket1> [<Paket2> …]

erzeugt zwei separate Datenbanken, eine kleinere »foo.db.tar.xz«, die von Pacman verwendet wird, und eine größere »foo.files.tar.xz«, welche die Paketdateilisten enthält, zur Nutzung durch andere Dienstprogramme. Zwar kann Pacman die größere Datenbank nutzen (wenn diese mit einer db.tar*-Erweiterung umbenannt wird), aber der größere Download bietet derzeit keine zusätzlichen Vorteile.

SIEHE AUCH

makepkg(8), pacman(8)

Auf der Pacman-Website unter https://www.archlinux.org/pacman/ finden Sie aktuelle Informationen zu Pacman und den zugehörigen Werkzeugen.

FEHLER

Fehler? Sie machen wohl Witze, es gibt keine Fehler in dieser Software. Nun ja, sollte unsere Annahme doch falsch sein, senden Sie uns einen Fehlerbericht (auf Englisch) mit so vielen Details wie möglich in der Fehlerdatenbank von Archlinux im Bereich »Pacman«.

AUTOREN

Derzeitige Betreuer:

    • Allan McRae <allan@archlinux.org>

    • Andrew Gregory <andrew.gregory.8@gmail.com>

    • Dan McGee <dan@archlinux.org>

    • Dave Reisner <dreisner@archlinux.org>

Bedeutende frühere Mitwirkende:

    • Judd Vinet <jvinet@zeroflux.org>

    • Aurelien Foret <aurelien@archlinux.org>

    • Aaron Griffin <aaron@archlinux.org>

    • Xavier Chantry <shiningxc@gmail.com>

    • Nagy Gabor <ngaba@bibl.u-szeged.hu>

Informationen zu weiteren Mitwirkenden erhalten Sie, wenn Sie den Befehl git shortlog -s im Git-Repositorium pacman.git aufrufen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.